Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.conversion
Class TypeConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.opensymphony.xwork2.XWorkException
                      com.opensymphony.xwork2.conversion.TypeConversionException

All Implemented Interfaces:
  Locatable, java.io.Serializable

    public class TypeConversionException

extends XWorkException

TypeConversionException should be thrown by any TypeConverters which fail to convert values

Author:
  Jason Carreira Created Oct 3, 2003 12:18:33 AM
See Also:
  Serialized Form

Constructor Summary
`TypeConversionException()` Constructs a `XWorkException` with no detail message.
`TypeConversionException(java.lang.String s)` Constructs a `XWorkException` with the specified detail message.
`TypeConversionException(java.lang.String s, java.lang.Throwable cause)` Constructs a `XWorkException` with the specified detail message.
`TypeConversionException(java.lang.Throwable cause)` Constructs a `XWorkException` with no detail message.

Method Summary

Methods inherited from class com.opensymphony.xwork2.XWorkException
`getLocation, getThrowable, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeConversionException

    public TypeConversionException()

  Constructs a `XWorkException` with no detail message.

### TypeConversionException

    public TypeConversionException(java.lang.String s)

  Constructs a `XWorkException` with the specified detail message.

  Parameters:
    `s` - the detail message.

### TypeConversionException

    public TypeConversionException(java.lang.Throwable cause)

  Constructs a `XWorkException` with no detail message.

### TypeConversionException

    public TypeConversionException(java.lang.String s,
                                   java.lang.Throwable cause)

  Constructs a `XWorkException` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.